Apple is Now Letting Legacy iOS Users Download the 'Last Compatible' Version of an App

Apple is Now Letting Legacy iOS Users Download the 'Last Compatible' Version of an App

Posted by · 22754 views · Translate
Apple is now allowing users running an old version of iOS on their device to download the 'last compatible' version of an app.

Reddit user AutumnStrings posted a screenshot which reads:

Download an older version of this app?
The current version requires iOS 5.0 of later, but you can download the last compatible version.

The new feature was confirmed by others in the thread.

Read More


Apple is Now Letting Legacy iOS Users Download the 'Last Compatible' Version of an AppApple is Now Letting Legacy iOS Users Download the 'Last Compatible' Version of an App
matrixmaniac - September 17, 2013 at 8:08pm
great!
The real NoGoodNick - September 17, 2013 at 8:06pm
Can I download the old ios 6 icons when I get ios 7, I would love that!
Rabbitjetta - September 17, 2013 at 5:22pm
I noticed this on my old iPod 2nd generation the other day
Tony - September 17, 2013 at 4:30pm
I couldn't find a version of Digitally Imported that works with my 1st gen Ipod.
2
Patric Gmuer - September 17, 2013 at 3:11pm
It's about god damn f*cking time apple did this.
1 More Comment
Recent